Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
depots [Le 27/01/2016, 16:12]
cafecho [Proposed] Orthographe
depots [Le 11/09/2022, 12:11] (Version actuelle)
moths-art Suppression des espaces en fin de ligne (détecté et corrigé via le bot wiki-corrector (https://forum.ubuntu-fr.org/viewtopic.php?id=2067892)
Ligne 5: Ligne 5:
 <note tip>​Cette page fait partie du tutoriel //​**"​[[tutoriel:​comment_installer_un_paquet|Comment installer un paquet]]"​**//,​ concernant l'​installation de paquets logiciels sous Ubuntu.</​note>​ <note tip>​Cette page fait partie du tutoriel //​**"​[[tutoriel:​comment_installer_un_paquet|Comment installer un paquet]]"​**//,​ concernant l'​installation de paquets logiciels sous Ubuntu.</​note>​
  
-Cet article vise à présenter ce que sont les dépôts ​de [[https://​fr.wikipedia.org/​wiki/​Zizi | zizi]]et leurs utilisations.+Cet article vise à présenter ce que sont les dépôts ​**[[:APT]]** et leurs utilisations.
  
  
 ===== Que sont les dépôts APT ? ===== ===== Que sont les dépôts APT ? =====
  
-Les dépôts APT sont des **"​sources de logiciels"​**,​ concrètement des serveurs qui contiennent un ensemble de paquets. À l'aide d'un outil appelé [[gestionnaire de paquets]], vous pouvez accéder à ces dépôts et, en quelques clics de souris, vous trouvez, téléchargez et installez les logiciels de votre choix. ​+Les dépôts APT sont des **"​sources de logiciels"​**,​ concrètement des serveurs qui contiennent un ensemble de paquets. À l'aide d'un outil appelé [[gestionnaire de paquets]], vous pouvez accéder à ces dépôts et, en quelques clics de souris, vous trouvez, téléchargez et installez les logiciels de votre choix.
  
 Ce système vous évite de parcourir vos CD d'​Ubuntu et Internet pour trouver des **[[:​apt#​le_paquet|paquets]]** pour vos logiciels. ​ Ce système vous évite de parcourir vos CD d'​Ubuntu et Internet pour trouver des **[[:​apt#​le_paquet|paquets]]** pour vos logiciels. ​
Ligne 32: Ligne 32:
 deb-src ​  ​http://​www.serveur.tld ​  <​branche> ​  <​sections> ​  #Nom du dépôt (contenant le code source des logiciels)</​file>​ deb-src ​  ​http://​www.serveur.tld ​  <​branche> ​  <​sections> ​  #Nom du dépôt (contenant le code source des logiciels)</​file>​
  
-Dans le forum et dans cette documentation,​ on vous demandera/​conseillera parfois des dépôts APT autres que ceux configurés par défaut par l'​installateur Ubuntu. ​+Dans le forum et dans cette documentation,​ on vous demandera/​conseillera parfois des dépôts APT autres que ceux configurés par défaut par l'​installateur Ubuntu.
  
 Sachez que de nombreux autres dépôts existent ailleurs dans le web. Toutefois, leur fiabilité (sécurité des paquets contenus et compatibilité avec Ubuntu, disponibilité du dépôt, confiance dans le mainteneur du dépôt...) n'est pas toujours assurée. Les dépôts que nous présentons ici sont jugés sécurisés ; nous vous conseillons de vous renseigner avant d'​ajouter des dépôts non présentés ici, car ceux-ci peuvent endommager le cœur-même de votre système. Sachez que de nombreux autres dépôts existent ailleurs dans le web. Toutefois, leur fiabilité (sécurité des paquets contenus et compatibilité avec Ubuntu, disponibilité du dépôt, confiance dans le mainteneur du dépôt...) n'est pas toujours assurée. Les dépôts que nous présentons ici sont jugés sécurisés ; nous vous conseillons de vous renseigner avant d'​ajouter des dépôts non présentés ici, car ceux-ci peuvent endommager le cœur-même de votre système.
Ligne 44: Ligne 44:
 Les sections ''​universe''​ et ''​multiverse''​ des dépôts officiels contiennent des paquets maintenus par //la communauté//​. La Fondation Ubuntu ne contrôle pas ces paquets ; ils sont analysés par un comité d'​utilisateurs. La section ''​universe''​ contient uniquement des paquets libres et la section ''​multiverse'',​ des paquets non-libres. Sauf pour une [[:​live_cd#​Session live : qu'​est-ce que c'est ?|session live]], l'​accès à ces deux sections est paramétré par défaut. Les sections ''​universe''​ et ''​multiverse''​ des dépôts officiels contiennent des paquets maintenus par //la communauté//​. La Fondation Ubuntu ne contrôle pas ces paquets ; ils sont analysés par un comité d'​utilisateurs. La section ''​universe''​ contient uniquement des paquets libres et la section ''​multiverse'',​ des paquets non-libres. Sauf pour une [[:​live_cd#​Session live : qu'​est-ce que c'est ?|session live]], l'​accès à ces deux sections est paramétré par défaut.
  
-^ Adresses des dépôts | **[[depots_trusty#​depots_officiels_actives_par_defaut|Ubuntu ​14.04 LTS (Trusty)]]**  | **[[depots_precise#​depots_officiels_actives_par_defaut|Ubuntu ​12.04 LTS (Precise)]]** |+^ Adresses des dépôts | **[[depots_focal#​depots_officiels_actives_par_defaut|Ubuntu ​20.04 LTS (Focal Fossa)]]**  | **[[depots_jammy#​depots_officiels_actives_par_defaut|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]** |
  
 ==== Backports ==== ==== Backports ====
-Lorsqu'​une version stable d'​Ubuntu sort, les paquets présents dans les dépôts officiels ​correspondants ​à cette version ne sont plus modifiés, à l'​exception des mises à jour de sécurité ou pour corriger des bogues importants. Cependant de nouvelles versions de ces paquets continuent à être développées,​ et __peuvent être__ disponibles dans la branche de rétro-portage (en anglais, //​backports//​).+Lorsqu'​une version stable d'​Ubuntu sort, les paquets présents dans les dépôts officiels ​correspondant ​à cette version ne sont plus modifiés, à l'​exception des mises à jour de sécurité ou pour corriger des bogues importants. Cependant de nouvelles versions de ces paquets continuent à être développées,​ et __peuvent être__ disponibles dans la branche de rétro-portage (en anglais, //​backports//​).
  
 Le projet Ubuntu-Backports prend des logiciels inclus dans la version de développement d'​Ubuntu et crée un nouveau paquet ''​.deb''​ compatible avec la version stable actuelle. Ubuntu-Backports est un projet officiel d'​Ubuntu et est géré bénévolement. //Malgré les tests intensifs effectués sur les paquets recréés, il reste tout de même possible qu'ils causent des instabilités sur votre système.// Le projet Ubuntu-Backports prend des logiciels inclus dans la version de développement d'​Ubuntu et crée un nouveau paquet ''​.deb''​ compatible avec la version stable actuelle. Ubuntu-Backports est un projet officiel d'​Ubuntu et est géré bénévolement. //Malgré les tests intensifs effectués sur les paquets recréés, il reste tout de même possible qu'ils causent des instabilités sur votre système.//
  
-^ Adresses des dépôts | **[[depots_trusty#depots_officiels_actives_par_defaut|Ubuntu ​14.04 LTS (Trusty)]]** | **[[depots_precise#depots_officiels_actives_par_defaut|Ubuntu ​12.04 LTS (Precise)]]** |+^ Adresses des dépôts | **[[depots_focal#depots_backports|Ubuntu ​20.04 LTS (Focal Fossa)]]** | **[[depots_jammy#depots_backports|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]** |
  
  
 === Utilisation des dépôts Backports === === Utilisation des dépôts Backports ===
  
-Ainsi, bien qu'ils soient activés par défaut, les dépôts Backports ne disposent pas d'une priorité suffisante pour que les paquets qu'ils proposent soient mis à jour automatiquement. ​+Ainsi, bien qu'ils soient activés par défaut, les dépôts Backports ne disposent pas d'une priorité suffisante pour que les paquets qu'ils proposent soient mis à jour automatiquement.
  
 == Installation / mise à jour d'un paquet rétro-porté == == Installation / mise à jour d'un paquet rétro-porté ==
-Si vous savez que vous souhaitez installer/​mettre à jour une application dans sa version rétroportée((par exemple après une vérification avec <​code>​apt-cache policy nom_du_paquet</​code>​)),​ //il faut le préciser explicitement//​. Pour cela, il faut ajouter ''/​trusty-backports''​ à la ligne de [[:​commande_shell|commande]] apt-get (remplacer //trusty// par le nom de votre [[:​versions|version d'​Ubuntu]]). \\ +Si vous savez que vous souhaitez installer/​mettre à jour une application dans sa version rétroportée((par exemple après une vérification avec <​code>​apt-cache policy nom_du_paquet</​code>​)),​ //il faut le préciser explicitement//​. Pour cela, il faut ajouter ''/​focal-backports''​ à la ligne de [[:​commande_shell|commande]] apt-get (remplacer //focal// par le nom de votre [[:​versions|version d'​Ubuntu]]). \\ 
-Par exemple, depuis un [[:​terminal]] pour installer [[Amarok]] à partir des Backports d'[[:trusty|Ubuntu ​Trusty 14.04]] :  +Par exemple, depuis un [[:​terminal]] pour installer [[Amarok]] à partir des Backports d'[[:focal|Ubuntu ​20.04 LTS (Focal Fossa)]] :  
-<​code>​sudo apt-get install amarok/trusty-backports</​code>​+<​code>​sudo apt-get install amarok/focal-backports</​code>​
 ou de manière générique :​ ou de manière générique :​
 <​code>​sudo apt-get install amarok/​$(lsb_release -sc)-backports</​code>​ <​code>​sudo apt-get install amarok/​$(lsb_release -sc)-backports</​code>​
Ligne 68: Ligne 68:
 Avec les [[sudo|droits d'​administrateur]];​ Avec les [[sudo|droits d'​administrateur]];​
   - [[:​tutoriel:​comment_modifier_un_fichier|Modifiez le fichier]] suivant (s'il n'​existe pas, il sera créé en même temps) : **/​etc/​apt/​preferences**   - [[:​tutoriel:​comment_modifier_un_fichier|Modifiez le fichier]] suivant (s'il n'​existe pas, il sera créé en même temps) : **/​etc/​apt/​preferences**
-  - Copiez les lignes suivantes ​ (remplacer //trusty// par le nom de votre [[:​versions|version d'​Ubuntu]])<​file>​+  - Copiez les lignes suivantes ​ (remplacer //focal// par le nom de votre [[:​versions|version d'​Ubuntu]])<​file>​
   Package: *   Package: *
-  Pin: release a=trusty-backports+  Pin: release a=focal-backports
   Pin-Priority:​ 500</​file>​   Pin-Priority:​ 500</​file>​
  
Ligne 76: Ligne 76:
 [[https://​help.ubuntu.com/​community/​UbuntuBackports#​When_Backports_Are_Installed|Source (en)]] [[https://​help.ubuntu.com/​community/​UbuntuBackports#​When_Backports_Are_Installed|Source (en)]]
  
-== Désactivation ​complètes ​des dépôts backports ==+== Désactivation ​complète ​des dépôts backports ==
 Pour (dés)activer les Backports via l'​interface graphique il faut ouvrir les **Sources de logiciels**,​ puis dans l'​onglet **mises à jour** (dé)cocher **Mises à jour non gérées (*-backports)**,​ fermer, puis Actualiser la liste des logiciels disponibles. Pour (dés)activer les Backports via l'​interface graphique il faut ouvrir les **Sources de logiciels**,​ puis dans l'​onglet **mises à jour** (dé)cocher **Mises à jour non gérées (*-backports)**,​ fermer, puis Actualiser la liste des logiciels disponibles.
  
 ==== Proposed ==== ==== Proposed ====
 Les dépôts "​proposed"​ contiennent des paquets proposés **à fins de tests seulement** ! Ils servent à tester des paquets ou des mises à jour avant qu'ils n'​intègrent définitivement les dépôts principaux. Ils peuvent donc être à l'​origine de plantage et de corruption de système ! //​**N'​ajoutez ces dépôts que si vous savez ce que vous faites !**// \\ Les dépôts "​proposed"​ contiennent des paquets proposés **à fins de tests seulement** ! Ils servent à tester des paquets ou des mises à jour avant qu'ils n'​intègrent définitivement les dépôts principaux. Ils peuvent donc être à l'​origine de plantage et de corruption de système ! //​**N'​ajoutez ces dépôts que si vous savez ce que vous faites !**// \\
-Ces dépôts correspondent à la case à cocher "Mises à jour en préversion (proposed)"​ -> onglet "Mises à jour" de l'​application [[:​software-properties|Logiciels & Mises à jour]].+Ces dépôts correspondent à la case à cocher "Mises à jour en préversion (proposed)"​ -> onglet "Mises à jour" de l'​application [[:​software-properties|Logiciels & Mises à jour]] ​//(Onglet "​Options de développement"​ pour [[:​focal|Ubuntu 20.04 LTS (Focal Fossa)]] et ultérieur)//​.
  
-^Adresse des dépôts | **[[depots_trusty#​depots_proposed|Ubuntu ​14.04 LTS (Trusty)]]** | **[[depots_precise#​depots_proposed|Ubuntu ​12.04 LTS (Precise)]]** |+^Adresse des dépôts | **[[depots_focal#​depots_proposed|Ubuntu ​20.04 LTS (Focal Fossa)]]** | **[[depots_jammy#​depots_proposed|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]** |
  
 === Rétrograder les paquets provenant des dépôts Proposed === === Rétrograder les paquets provenant des dépôts Proposed ===
  
-Si vous avez effectué une mise à jour de vos paquets vers la version à des fins de test "​proposed"​ et que vous désirez les retrouver dans les versions "de sécurité",​  +Si vous avez effectué une mise à jour de vos paquets vers la version à des fins de test "​proposed"​ et que vous désirez les retrouver dans les versions "de sécurité",​ 
-  - vous devez d'​abord vous assurer que vous avez bien décoché la case: "Mises à jour en préversion (proposed)"​ -> onglet "Mises à jour" de l'​application [[:​software-properties|Logiciels & Mises à jour]]. \\ {{:​depots:​done.png?​600|gestionnaire de source : Proposed}}+  - vous devez d'​abord vous assurer que vous avez bien décoché la case: "Mises à jour en préversion (proposed)"​ -> onglet "Mises à jour" de l'​application [[:​software-properties|Logiciels & Mises à jour]] ​//(Onglet "​Options de développement"​ pour [[:​focal|Ubuntu 20.04 LTS (Focal Fossa)]] et ultérieur)//​. \\ {{:​depots:​done.png?​600|gestionnaire de source : Proposed}}
   - Veuillez ensuite [[:​tutoriel/​comment_modifier_un_fichier|créer le fichier]] **99-downgrade-proposed** dans le dossier **/​etc/​apt/​preferences.d/​** via la [[:​commande_shell|commande]] suivante saisie dans un [[:​terminal]] :<​code>​sudo touch /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​   - Veuillez ensuite [[:​tutoriel/​comment_modifier_un_fichier|créer le fichier]] **99-downgrade-proposed** dans le dossier **/​etc/​apt/​preferences.d/​** via la [[:​commande_shell|commande]] suivante saisie dans un [[:​terminal]] :<​code>​sudo touch /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​
   - Ouvrez ensuite le fichier **99-downgrade-proposed** via votre éditeur de texte favoris, nous utiliserons [[:|nano]] dans notre exemple, veuillez donc [[:​tutoriel/​comment_modifier_un_fichier|éditer le fichier]], via la [[:​commande_shell|commande]] suivante :<​code>​sudo nano /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​Avec le contenu suivant :<​file>​   - Ouvrez ensuite le fichier **99-downgrade-proposed** via votre éditeur de texte favoris, nous utiliserons [[:|nano]] dans notre exemple, veuillez donc [[:​tutoriel/​comment_modifier_un_fichier|éditer le fichier]], via la [[:​commande_shell|commande]] suivante :<​code>​sudo nano /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​Avec le contenu suivant :<​file>​
  
-Package: *  +Package: * 
-Pin: release a=nom de votre version d'​Ubuntu ​+Pin: release a=nom de votre version d'​Ubuntu
 Pin-Priority:​ 1001 Pin-Priority:​ 1001
  
-Package: *  +Package: * 
-Pin: release a=nom de votre version d'​Ubuntu-updates ​+Pin: release a=nom de votre version d'​Ubuntu-updates
 Pin-Priority:​ 1001 Pin-Priority:​ 1001
  
-Package: *  +Package: * 
-Pin: release a=nom de votre version d'​Ubuntu-security ​+Pin: release a=nom de votre version d'​Ubuntu-security
 Pin-Priority:​ 1001 Pin-Priority:​ 1001
  
-Package: *  +Package: * 
-Pin: release a=nom de votre version d'​Ubuntu-backports ​+Pin: release a=nom de votre version d'​Ubuntu-backports
 Pin-Priority:​ 1001 Pin-Priority:​ 1001
  
-Package: *  +Package: * 
-Pin: release a=nom de votre version d'​Ubuntu-proposed ​+Pin: release a=nom de votre version d'​Ubuntu-proposed
 Pin-Priority:​ -1 Pin-Priority:​ -1
  
Ligne 118: Ligne 118:
  
 Package: * Package: *
-Pin: release a=nom de votre version d'​Ubuntu((Pour connaître le nom de votre version d'​Ubuntu,​ veuillez ouvrir un terminal, et taper cette commande lsb_release -a))+Pin: release a=nom de votre version d'​Ubuntu((Pour connaître le nom de votre version d'​Ubuntu ​(focal, jammy ou autre), veuillez ouvrir un terminal, et y **copier-coller** ​cette commande ​<​code>​lsb_release -sc</​code>​))
 Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.)) Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.))
  
 Package: * Package: *
-Pin: release a=nom de votre version d'​Ubuntu-updates((Pour connaître le nom de votre version d'​Ubuntu,​ veuillez ouvrir un terminal, et taper cette commande lsb_release -a))+Pin: release a=nom de votre version d'​Ubuntu-updates((Pour connaître le nom de votre version d'​Ubuntu ​(focal, jammy ou autre), veuillez ouvrir un terminal, et y **copier-coller** ​cette commande ​<​code>​lsb_release -sc</​code>​))
 Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.)) Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.))
  
 Package: * Package: *
-Pin: release a=nom de votre version d'​Ubuntu-security((Pour connaître le nom de votre version d'​Ubuntu,​ veuillez ouvrir un terminal, et taper cette commande lsb_release -a))+Pin: release a=nom de votre version d'​Ubuntu-security((Pour connaître le nom de votre version d'​Ubuntu ​(focal, jammy ou autre), veuillez ouvrir un terminal, et y **copier-coller** ​cette commande ​<​code>​lsb_release -sc</​code>​))
 Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.)) Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.))
  
 Package: * Package: *
-Pin: release a=nom de votre version d'​Ubuntu-backports((Pour connaître le nom de votre version d'​Ubuntu,​ veuillez ouvrir un terminal, et taper cette commande lsb_release -a))+Pin: release a=nom de votre version d'​Ubuntu-backports((Pour connaître le nom de votre version d'​Ubuntu ​(focal, jammy ou autre), veuillez ouvrir un terminal, et y **copier-coller** ​cette commande ​<​code>​lsb_release -sc</​code>​))
 Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.)) Pin-Priority:​ 1001((Cette priorité entraîne l'​installation du paquet même s'il s'agit d'un retour en arrière.))
  
 Package: * Package: *
-Pin: release a=nom de votre version d'​Ubuntu-proposed((Pour connaître le nom de votre version d'​Ubuntu,​ veuillez ouvrir un terminal, et taper cette commande lsb_release -a))+Pin: release a=nom de votre version d'​Ubuntu-proposed((Pour connaître le nom de votre version d'​Ubuntu ​(focal, jammy ou autre), veuillez ouvrir un terminal, et y **copier-coller** ​cette commande ​<​code>​lsb_release -sc</​code>​))
 Pin-Priority:​ -1((Cette priorité empêche l'​installation de la version.)) Pin-Priority:​ -1((Cette priorité empêche l'​installation de la version.))
  
 </​note>​ </​note>​
  
-Maintenant, nous allons enregistrer notre fichier via le raccourci clavier **ctrl+x** ensuite ​**touche o** ensuite ​**touche entrée**.+Maintenant, nous allons ​d'​abord ​enregistrer notre fichier via le raccourci clavier **Ctrl o** suivi de la touche ​**Entrée**, enfin quitter nano par **Ctrl x**.
   - Pour prendre en compte notre fichier, nous allons [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|mettre à jour nos dépôts]] via la [[:​commande_shell|commande]] suivante :<​code>​sudo apt-get update</​code>​   - Pour prendre en compte notre fichier, nous allons [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|mettre à jour nos dépôts]] via la [[:​commande_shell|commande]] suivante :<​code>​sudo apt-get update</​code>​
-  - Et ensuite l'​étape finale 8-O, nous effectuons le rétrogradage des paquets via la [[:​commande_shell|commande]] suivante: <​code>​sudo apt-get dist-upgrade -y</​code>​+  - Et ensuite l'​étape finale 8-O, nous effectuons le rétrogradage des paquets via la [[:​commande_shell|commande]] suivante: <​code>​sudo apt-get dist-upgrade -y --allow-downgrades</​code>​
   - Pour terminer, nous supprimons notre fichier **99-downgrade-proposed** via la [[:​commande_shell|commande]] suivante:<​code>​   - Pour terminer, nous supprimons notre fichier **99-downgrade-proposed** via la [[:​commande_shell|commande]] suivante:<​code>​
 sudo rm /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​ sudo rm /​etc/​apt/​preferences.d/​99-downgrade-proposed</​code>​
Ligne 147: Ligne 147:
 ===== Dépôt partenaire ou Dépôt commercial ===== ===== Dépôt partenaire ou Dépôt commercial =====
 Le dépôt partenaire est maintenu par [[http://​www.canonical.com|Canonical Ltd.]], société qui parraine et s'​implique activement dans le développement d'​Ubuntu. Le dépôt partenaire regroupe des logiciels libres et non-libres dont les éditeurs ont une entente commerciale avec Canonical, en particulier pour les mises à jour, la disponibilité sur le dépôt et le contrôle de qualité. Ce dépôt extérieur à la branche des "​Logiciels Ubuntu"​ est avec les dépôts externes: "​Autres logiciels"​. Il n'est donc pas activé par défaut. \\ Le dépôt partenaire est maintenu par [[http://​www.canonical.com|Canonical Ltd.]], société qui parraine et s'​implique activement dans le développement d'​Ubuntu. Le dépôt partenaire regroupe des logiciels libres et non-libres dont les éditeurs ont une entente commerciale avec Canonical, en particulier pour les mises à jour, la disponibilité sur le dépôt et le contrôle de qualité. Ce dépôt extérieur à la branche des "​Logiciels Ubuntu"​ est avec les dépôts externes: "​Autres logiciels"​. Il n'est donc pas activé par défaut. \\
-Pour l'​activer:​ +Pour l'​activer : 
-  - Démarrer l'​[[:​software-properties|application de gestion de vos sources de logiciels]];​+  - Démarrer l'​[[:​software-properties|application de gestion de vos sources de logiciels]] ;
   - Dans l'​onglet "​Autres logiciels",​ cocher la première case: **Partenaires de Canonical** \\ {{:​application:​logiciels_et_mises_a_jour:​logiciels_et_mises_a_jour_14_04_03.png?​600|Onglet autres logiciels}}   - Dans l'​onglet "​Autres logiciels",​ cocher la première case: **Partenaires de Canonical** \\ {{:​application:​logiciels_et_mises_a_jour:​logiciels_et_mises_a_jour_14_04_03.png?​600|Onglet autres logiciels}}
   - Fermer l'​application et accepter la mise à jour de vos sources de logiciels.   - Fermer l'​application et accepter la mise à jour de vos sources de logiciels.
-Ou bien dans un [[:​terminal]],​ en saisissant les [[:​commande_shell|commandes]] suivantes:+Ou bien dans un [[:​terminal]],​ en saisissant les [[:​commande_shell|commandes]] suivantes :
 <​code>​sudo add-apt-repository "deb http://​archive.canonical.com/​ubuntu $(lsb_release -sc) partner" ​ <​code>​sudo add-apt-repository "deb http://​archive.canonical.com/​ubuntu $(lsb_release -sc) partner" ​
 sudo apt-get update</​code>​ sudo apt-get update</​code>​
  
-^ Adresses des dépôts | **[[depots_trusty#​depot_commercial|Ubuntu ​14.04 LTS (Trusty)]]** | **[[depots_precise#​depot_commercial|Ubuntu ​12.04 LTS (Precise)]]** |+^ Adresses des dépôts | **[[depots_focal#​depot_commercial|Ubuntu ​20.04 LTS (Focal Fossa)]]** | **[[depots_jammy#​depot_commercial|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]** |
  
  
Ligne 163: Ligne 163:
  
 ==== Ports pour PowerPC ==== ==== Ports pour PowerPC ====
-Ces dépôts sont utiles pour les possesseurs d'​ordinateurs ayant un processeur de type [[ppc|PowerPC]],​ tels les Mac G3, G4 et G5, et les machines basées sur les processeurs Cell comme la PlayStation 3. La version PowerPC d'​Ubuntu n'​étant plus développée de manière officielle, des paquets ont été portés vers cette architecture et sont maintenues ​de manière non officielle dans le dépôt suivant.+Ces dépôts sont utiles pour les possesseurs d'​ordinateurs ayant un processeur de type [[ppc|PowerPC]],​ tels les Mac G3, G4 et G5, et les machines basées sur les processeurs Cell comme la PlayStation 3. La version PowerPC d'​Ubuntu n'​étant plus développée de manière officielle, des paquets ont été portés vers cette architecture et sont maintenus ​de manière non officielle dans le dépôt suivant.
  
-^Adresse des dépôts | **[[depots_hardy#​depots_powerpc|Ubuntu ​8.04 LTS (Hardy)]]** | +^Adresse des dépôts | **[[:​distributions_ppc|Ubuntu ​20.04 LTS (Focal Fossa)]]**| ​
  
 ==== Ports pour architecture ARM ==== ==== Ports pour architecture ARM ====
Ligne 175: Ligne 175:
 Cette version est très utilisée dans nos smartphones et dans la plupart des tablettes tactiles du marché. Cette version est très utilisée dans nos smartphones et dans la plupart des tablettes tactiles du marché.
  
-^Adresse des dépôts | **[[depots_trusty#​depot_portage|Ubuntu ​14.04 LTS (Trusty)]]** | **[[depots_precise#​depot_portage|Ubuntu ​12.04 LTS (Precise)]]** | +^Adresse des dépôts | **[[depots_focal#​depot_portage|Ubuntu ​20.04 LTS (Focal Fossa)]]** | **[[depots_jammy#​depot_portage|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]** |
  
 ===== Dépôts par version d'​Ubuntu ===== ===== Dépôts par version d'​Ubuntu =====
-  * [[depots_trusty|Ubuntu ​14.04 LTS "The Trusty Thar"]] +  * [[depots_focal|Ubuntu ​20.04 LTS (Focal Fossa)]] 
-  * [[depots_precise|Ubuntu ​12.04 LTS "The Precise Pangolin"​]]+  * [[depots_jammy|Ubuntu ​22.04 LTS (Jammy Jellyfish)]]
  
 Si vous utilisez encore une [[:​old-releases|version Ubuntu qui n'est plus supportée]],​ utilisez http://​old-releases.ubuntu.com/​ubuntu/​dists/​ \\ Si vous utilisez encore une [[:​old-releases|version Ubuntu qui n'est plus supportée]],​ utilisez http://​old-releases.ubuntu.com/​ubuntu/​dists/​ \\
 Par exemple pour [[:​Lucid|Lucid 10.04 LTS]], ​ Par exemple pour [[:​Lucid|Lucid 10.04 LTS]], ​
   - [[:​tutoriel/​comment_modifier_un_fichier|éditer le fichier]] listant les sources: ​ **/​etc/​apt/​sources.list**   - [[:​tutoriel/​comment_modifier_un_fichier|éditer le fichier]] listant les sources: ​ **/​etc/​apt/​sources.list**
-  - Y mettre:<​file>​deb http://​old-releases.ubuntu.com/​ubuntu/​ lucid main restricted universe multiverse+  - Y remplacer par :<​file>​deb http://​old-releases.ubuntu.com/​ubuntu/​ lucid main restricted universe multiverse
 #deb-src http://​old-releases.ubuntu.com/​ubuntu/​ lucid main restricted universe multiverse #deb-src http://​old-releases.ubuntu.com/​ubuntu/​ lucid main restricted universe multiverse
  
Ligne 217: Ligne 217:
   deb file:/​votre/​chemin/​vers/​le/​dépôt stable main restricted   deb file:/​votre/​chemin/​vers/​le/​dépôt stable main restricted
  
-Ceci peut être utile si apt-cdrom ne détecte pas correctement un cd d'​installation d'​ubuntu par exemple, grâce à:+Ceci peut être utile si apt-cdrom ne détecte pas correctement un cd d'​installation d'​ubuntu par exemple, grâce à :
  
   deb file:/​media/​cdrom NOM_DE_DISTRIBUTION main restricted   deb file:/​media/​cdrom NOM_DE_DISTRIBUTION main restricted
Ligne 228: Ligne 228:
 ==== Ubuntu Sources List Generator ==== ==== Ubuntu Sources List Generator ====
 Si **l'​anglais** ne vous fait pas peur, un outil de fabrication de sources.list est disponible pour les versions actuelles d'​Ubuntu [[http://​repogen.simplylinux.ch|à cette adresse]] . Si **l'​anglais** ne vous fait pas peur, un outil de fabrication de sources.list est disponible pour les versions actuelles d'​Ubuntu [[http://​repogen.simplylinux.ch|à cette adresse]] .
-Celui propose l'​intégration d'​un ​certains ​nombre de PPA. +Celui-ci propose l'​intégration d'​un ​certain ​nombre de PPA.
  
 ===== Pages en rapport avec les dépôts APT ===== ===== Pages en rapport avec les dépôts APT =====
  • depots.1453907569.txt.gz
  • Dernière modification: Le 27/01/2016, 16:12
  • par cafecho